Package: reportbug
Version: 6.6.3
Severity: minor
Followup-For: Bug #789332

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

The issue occurs because reportbug unconditionally tries to build the
follow-up info message, trying to replace a placeholder in the target
bug tracker's e-mail address, which is defined hardcoded in
reportbug/debbugs.py.

The accompanying patch shouldsuppress the message if no e-mail address
is specified.

Please note that even though this suppresses the crash, it is probably
still technically wrong to assume the same local-part for all debbugs
systems, but maybe I am mistaken there.

- -- Package-specific info:
** Environment settings:
EDITOR="jupp"
INTERFACE="text"

** /home/dgeorg/.reportbugrc:
reportbug_version "6.6.3"
mode advanced
ui text
email "n...@naturalnet.de"
smtphost "shore.naturalnet.de:587"
smtpuser "nik"
smtptls

- -- System Information:
Debian Release: stretch/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 4.0.0-1-amd64 (SMP w/4 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/lksh
Init: systemd (via /run/systemd/system)

Versions of packages reportbug depends on:
ii  apt               1.0.9.10
ii  python            2.7.9-1
ii  python-reportbug  6.6.3
pn  python:any        <none>

reportbug recommends no packages.

Versions of packages reportbug suggests:
pn  claws-mail                                 <none>
pn  debconf-utils                              <none>
pn  debsums                                    <none>
pn  dlocate                                    <none>
ii  emacs24-bin-common                         24.4+1-5
ii  exim4                                      4.85-3
ii  exim4-daemon-light [mail-transport-agent]  4.85-3
ii  file                                       1:5.22+15-2
ii  gnupg                                      1.4.19-3
ii  python-gtk2                                2.24.0-4
ii  python-gtkspell                            2.25.3-13
ii  python-urwid                               1.2.1-2+b1
ii  python-vte                                 1:0.28.2-5
ii  xdg-utils                                  1.1.0~rc1+git20111210-7.4

Versions of packages python-reportbug depends on:
ii  apt               1.0.9.10
ii  python-debian     0.1.27
ii  python-debianbts  1.12
pn  python:any        <none>

python-reportbug suggests no packages.

- -- no debconf information

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQJOBAEBCAA4BQJVhI2QMRpodHRwczovL3d3dy5kb21pbmlrLWdlb3JnZS5kZS9n
cGctcG9saWN5LnR4dC5hc2MACgkQt5o8FqDE8pYqiQ/+N0fKCuvGI6n+ZPybZYBv
NofwHNNBInPXAXU5BaQKJCE8nQzYB85DBaliRfH0eFyRA97wRdYP0BzQtxS3cY5y
dOmFl8g1N2nR47VMRqdNF30XkqAgf9A0v2ZkNJi9QkqwHyXUm8PWVpV+JilvBVQS
phrL3XLUNPeMnJXm2D5Pw8jHt9VbzRFiQCSZZZEGhMkE24xDZEboOpxytnSFqDi1
OPksI5gdVqLcE37aSdDI37eiwll/7rg07sHUdHJeKHM6TsM4siRJ5vJjX6PdKhGx
JHkrBxcgBTJi9yub8l5Ryp9WsJ4MpBl8Hblkywc5r1jqkNFK4Q+n+0wggrP7o6Re
ExO9BkOSnqxllmEJlWKFd1SWACJlC62luQzfp5bsQXfigC0g5tuaZxuzC/vZNrSL
H20safE5q63hnmG47b47mY1ON4jIuZ/Zx3PIkiBhlgM+Fnf+Meo4VtelcB+8h2ex
fS6u//R0hJ6DYeYUHMepjM4tMMmOTUte+8Uh7wlWXIjRiCu6dQQ5xOT0Eptlk2lI
uUG7h9DOKEP2qdgT0urtlUpDoFvjyWRuXl8NUqJKHAIAwYX+3tIIOjEwf84Isk61
HEBdvNMEfCg0pcYsFEX5oyqndfJAZiaTgtBf2y+AHeGnXH2sYJzPZrZ6aNnZPgMT
7MbdvEMjFqLlFcilkztMKtY=
=f2GZ
-----END PGP SIGNATURE-----

_______________________________________________
Reportbug-maint mailing list
Reportbug-maint@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/reportbug-maint

Reply via email to